#SetUp#
import pygame, sys, random, math
from Data import Player as player
from Data import Enemy as enemy
from Data import Dmg as dmg
from Data import Dmg1 as dmg1
from Data import Elements as elements
from Data import Backround_music
pygame.init()
pygame.font.init()
pygame.mixer.init()
win = pygame.display.set_mode((800, 600))
player.SetUp()
Backround_music.play()
enemy.SetUp()
dmg.SetUp()
dmg1.SetUp()
elements.SetUp()
pygame.display.set_caption('The Elements Twins')
clock = pygame.time.Clock()
font = pygame.font.Font('Data/Fonts/Font.ttf', 30)
pressed = False
firee = pygame.image.load('Data/Images/Firee.png').convert_alpha()
icee = pygame.image.load('Data/Images/Icee.png').convert_alpha()
earthe = pygame.image.load('Data/Images/Earthe.png').convert_alpha()
aire = pygame.image.load('Data/Images/Aire.png').convert_alpha()
es = pygame.image.load('Data/Images/Element_selector.png').convert_alpha()
bar = pygame.image.load('Data/Images/Bar.png').convert_alpha()
bg = pygame.image.load('Data/Images/bg.png').convert_alpha()
title = pygame.image.load('Data/Images/Title.png').convert_alpha()
at = 0
element = random.choice(('air', 'fire', 'earth', 'water'))
eelement = random.choice(('air', 'fire', 'earth', 'water'))
target = random.choice((1, 2))
lenght = player.energy
lenght2 = enemy.energy
shoot = pygame.mixer.Sound('Data/Sounds/Shoot.wav')
jump = pygame.mixer.Sound('Data/Sounds/Jump.wav')
menu = True
wins = [0, 0]
def ded():
    global menu, element, eelement
    menu = True
    player.healt =  100
    enemy.healt = 100
    player.x = 700
    player.y = 555
    enemy.x = 100
    enemy.y = 555
    player.energy = 100
    enemy.energy = 100
    element = random.choice(('air', 'fire', 'earth', 'water'))
    eelement = random.choice(('air', 'fire', 'earth', 'water'))
    dmg.dmg.clear()
    dmg.x.clear()
    dmg.y.clear()
    dmg.color.clear()
    dmg.size.clear()
    dmg.dire.clear()
    dmg1.dmg.clear()
    dmg1.x.clear()
    dmg1.y.clear()
    dmg1.color.clear()
    dmg1.size.clear()
    dmg1.dire.clear()
    
#Loop#
while True:
    #FPS#
    clock.tick(60)
    player.t += 1
    if player.t > 100:
        player.t = 0
    enemy.t += 1
    enemy.t2 += 1
    enemy.t3 += 1
    #Backround#
    win.blit((bg), (0, 0))
    #Events#
    for event in pygame.event.get():
        #Close window#
        if event.type == pygame.QUIT:
            pygame.quit()
            sys.exit()
        #Wheel events#
        if event.type == pygame.MOUSEBUTTONDOWN:
            if event.button == 4 and at > 0:
                at -= 1
            elif event.button == 5 and at < 2:
                at += 1
    #Inputs#
    key = pygame.key.get_pressed()
    mouse = pygame.mouse.get_pressed()
    #Outputs#
    mx, my = pygame.mouse.get_pos()
    #Menu#
    if menu:
        win.blit((title), (50, 50))
        Font = font.render('PRESS SPACE TO START', True, (255, 255, 255))
        if player.t < 70:
            win.blit((Font), (280, 550))
        if key[pygame.K_SPACE]:
            menu = False
    #Player#
    if player.x > mx:
        img1 = pygame.transform.flip(player.img1, True, False)
        img2 = pygame.transform.flip(player.img2, True, False)
    else:
        img1 = player.img1
        img2 = player.img2
    if player.t > 50:
        player.rect = win.blit((img1), (player.x, player.y))
    else:
        player.rect = win.blit((img2), (player.x, player.y))
    if not menu:
        #-Gravyti
        if player.y < 555:
            player.yvel -= 0.5
        if player.y >= 555 and not key[pygame.K_w]:
            player.yvel = 0
        if player.y >= 555:
            player.y = 555
        if key[pygame.K_w] and player.y == 555:
            jump.play()
            if element == 'air':
                player.yvel = 20
            elif element == 'fire':
                player.yvel = 15
            elif element == 'water':
                player.yvel = 12
            elif element == 'earth':
                player.yvel = 10
        player.y -= player.yvel
        #-Movment
        if key[pygame.K_a] and player.xvel > -10 and player.x >= 0:
            player.xvel -= 0.5
            player.moving = True
        elif key[pygame.K_d] and player.xvel < 10 and player.x <= 755:
            player.xvel += 0.5
            player.moving = True
        if not key[pygame.K_a] and not key[pygame.K_d]:
            player.moving = False
        if player.xvel > 0:
            player.xvel -= 0.3
        if player.xvel < 0:
            player.xvel += 0.3
        if player.x > 755:
            player.x = 755
            if not key[pygame.K_w]:
                player.xvel = 0
        if player.x < 0:
            player.x = 0
            if not key[pygame.K_w]:
                player.xvel = 0
        #-Walljump
        if player.x >= 755 and key[pygame.K_w] and player.y != 555:
            player.xvel = -10
            player.yvel += 5
        if player.x <= 0 and key[pygame.K_w] and player.y != 555:
            player.xvel = 10
            player.yvel += 5
        player.x += player.xvel
    #Enemy#
    if enemy.dire == 0:
        img1 = pygame.transform.flip(enemy.img1, True, False)
        img2 = pygame.transform.flip(enemy.img2, True, False)
    else:
        img1 = enemy.img1
        img2 = enemy.img2
    if player.t > 50:
        enemy.rect = win.blit((img1), (enemy.x, enemy.y))
    else:
        enemy.rect = win.blit((img2), (enemy.x, enemy.y))
    if not menu:
        if enemy.t > 50:
            d = math.sqrt((enemy.x - player.x)**2 + (enemy.y - player.y)**2)
            #-Fire
            angle = math.atan2(enemy.y - player.y, enemy.x - player.x)
            if eelement == 'fire':
                if d < 300 and enemy.energy >= elements.fire[0] and enemy.t2 > 20:
                    shoot.play()
                    for a in range(10):
                        angle = math.atan2(enemy.y - player.y, enemy.x - player.x)
                        dmg1.dire.append((math.cos(angle) * 4 + random.uniform(-1, 1), math.sin(angle) * 4 + random.uniform(-1, 1)))
                        dmg1.dmg.append(1)
                        dmg1.size.append(5)
                        dmg1.color.append((255, 0, 0))
                        dmg1.x.append(enemy.x)
                        dmg1.y.append(enemy.y)
                    enemy.t2 = 0
                    enemy.energy -= elements.fire[0]
                elif target == 1 and enemy.energy >= elements.fire[1] and enemy.t3 > 50:
                    shoot.play()
                    angle = math.atan2(enemy.y - player.y, enemy.x - player.x)
                    dmg1.dire.append((math.cos(angle) * 10, math.sin(angle) * 10))
                    dmg1.dmg.append(6)
                    dmg1.size.append(20)
                    dmg1.color.append((255, 0, 0))
                    dmg1.x.append(enemy.x)
                    dmg1.y.append(enemy.y)
                    enemy.energy -= elements.fire[1]
                    enemy.t3 = 0
                    target = random.choice((1, 2))
                elif target == 2 and enemy.energy >= elements.fire[2] and enemy.t3 > 50:
                    shoot.play()
                    for a in range(36):
                        angle = math.radians(a * 10)
                        dmg1.dire.append((math.cos(angle) * 5, math.sin(angle) * 5))
                        dmg1.dmg.append(10)
                        dmg1.size.append(20)
                        dmg1.color.append((255, 0, 0))
                        dmg1.x.append(enemy.x)
                        dmg1.y.append(enemy.y)
                    enemy.energy -= elements.fire[2]
                    enemy.t3 = 0
                    target = random.choice((1, 2))
            #-Water
            if eelement == 'water':
                if d < 300 and enemy.energy >= elements.water[0] and enemy.t2 > 20:
                    shoot.play()
                    for a in range(20):
                        angle = math.atan2(enemy.y - player.y, enemy.x - player.x)
                        dmg1.dire.append((math.cos(angle) * 4 + random.uniform(-1, 1), math.sin(angle) * 4 + random.uniform(-1, 1)))
                        dmg1.dmg.append(1)
                        dmg1.size.append(5)
                        dmg1.color.append((0, 0, random.randint(200, 255)))
                        dmg1.x.append(enemy.x)
                        dmg1.y.append(enemy.y)
                    enemy.t2 = 0
                    enemy.energy -= elements.fire[0]
                elif target == 1 and enemy.energy >= elements.water[1] and enemy.t3 > 50:
                    shoot.play()
                    for a in range(3):
                        angle = math.atan2(enemy.y - player.y, enemy.x - player.x)
                        dmg1.dire.append((math.cos(angle) * 10 + random.uniform(-1, 1), math.sin(angle) * 10 + random.uniform(-1, 1)))
                        dmg1.dmg.append(6)
                        dmg1.size.append(20)
                        dmg1.color.append((0, 0, random.randint(200, 255)))
                        dmg1.x.append(enemy.x)
                        dmg1.y.append(enemy.y)
                    enemy.energy -= elements.fire[1]
                    enemy.t3 = 0
                    target = random.choice((1, 2))
                elif target == 2 and enemy.energy >= elements.water[2] and enemy.t3 > 50:
                    shoot.play()
                    for a in range(36):
                        angle = math.radians(a * 10)
                        dmg1.dire.append((math.cos(angle) * 5, math.sin(angle) * 5))
                        dmg1.dmg.append(10)
                        dmg1.size.append(20)
                        dmg1.color.append((0, 0, random.randint(200, 255)))
                        dmg1.x.append(enemy.x)
                        dmg1.y.append(enemy.y)
                    enemy.energy -= elements.fire[2]
                    enemy.t3 = 0
                    target = random.choice((1, 2))
            #-Earth
            if eelement == 'earth':
                if d < 300 and enemy.energy >= elements.earth[0] and enemy.t2 > 20:
                    shoot.play()
                    for a in range(20):
                        angle = math.atan2(enemy.y - player.y, enemy.x - player.x)
                        dmg1.dire.append((math.cos(angle) * 4 + random.uniform(-1, 1), math.sin(angle) * 4 + random.uniform(-1, 1)))
                        dmg1.dmg.append(1)
                        dmg1.size.append(5)
                        dmg1.color.append((139 ,69, 19))
                        dmg1.x.append(enemy.x)
                        dmg1.y.append(enemy.y)
                    enemy.t2 = 0
                    enemy.energy -= elements.earth[0]
                elif target == 1 and enemy.energy >= elements.earth[1] and enemy.t3 > 50:
                    shoot.play()
                    dmg1.dire.append((math.cos(angle) * 10 + random.uniform(-1, 1), math.sin(angle) * 10 + random.uniform(-1, 1)))
                    dmg1.dmg.append(6)
                    dmg1.size.append(20)
                    dmg1.color.append((139, 69, 19))
                    dmg1.x.append(player.x)
                    dmg1.y.append(player.y)
                    dmg1.dire.append((math.cos(angle) * 10 + random.uniform(-1, 1), math.sin(angle) * 10 + random.uniform(-1, 1)))
                    dmg1.dmg.append(6)
                    dmg1.size.append(20)
                    dmg1.color.append((139, 69, 19))
                    dmg1.x.append(player.x)
                    dmg1.y.append(player.y)
                    dmg1.dire.append((math.cos(angle) * 10 + random.uniform(-1, 1), math.sin(angle) * 10 + random.uniform(-1, 1)))
                    dmg1.dmg.append(6)
                    dmg1.size.append(20)
                    dmg1.color.append((139, 69, 19))
                    dmg1.x.append(player.x)
                    dmg1.y.append(player.y)
                    dmg1.dire.append((math.cos(angle) * 10 + random.uniform(-1, 1), math.sin(angle) * 10 + random.uniform(-1, 1)))
                    dmg1.dmg.append(6)
                    dmg1.size.append(20)
                    dmg1.color.append((139, 69, 19))
                    dmg1.x.append(player.x)
                    dmg1.y.append(player.y)
                    enemy.energy -= elements.earth[1]
                    enemy.t3 = 0
                    target = random.choice((1, 2))
                elif target == 2 and enemy.energy >= elements.earth[2] and enemy.t3 > 50:
                    shoot.play()
                    for a in range(17):
                        dmg1.dire.append((0, 10))
                        dmg1.dmg.append(10)
                        dmg1.size.append(50)
                        dmg1.color.append((139, 69, 19))
                        dmg1.x.append(a * 50 - 50)
                        dmg1.y.append(600)
                    enemy.energy -= elements.earth[2]
                    enemy.t3 = 0
                    target = random.choice((1, 2))
            #-Air
            angle = math.atan2(enemy.y - player.y, enemy.x - player.x)
            if eelement == 'air':
                if d < 300 and enemy.energy >= elements.air[0] and enemy.t2 > 20:
                    shoot.play()
                    for a in range(10):
                        angle = math.atan2(enemy.y - player.y, enemy.x - player.x)
                        dmg1.dire.append((math.cos(angle) * 4 + random.uniform(-1, 1), math.sin(angle) * 4 + random.uniform(-1, 1)))
                        dmg1.dmg.append(1)
                        dmg1.size.append(5)
                        dmg1.color.append((255, 255, 255))
                        dmg1.x.append(enemy.x)
                        dmg1.y.append(enemy.y)
                    enemy.t2 = 0
                    enemy.energy -= elements.air[0]
                elif target == 1 and enemy.energy >= elements.air[1] and enemy.t3 > 50:
                    shoot.play()
                    angle = math.atan2(enemy.y - player.y, enemy.x - player.x)
                    dmg1.dire.append((math.cos(angle) * 10, math.sin(angle) * 10))
                    dmg1.dmg.append(6)
                    dmg1.size.append(20)
                    dmg1.color.append((255, 255, 255))
                    dmg1.x.append(enemy.x)
                    dmg1.y.append(enemy.y)
                    enemy.energy -= elements.air[1]
                    enemy.t3 = 0
                    target = random.choice((1, 2))
                elif target == 2 and enemy.energy >= elements.air[2] and enemy.t3 > 50:
                    shoot.play()
                    for a in range(36):
                        angle = math.radians(a * 10)
                        dmg1.dire.append((math.cos(angle) * 5, math.sin(angle) * 5))
                        dmg1.dmg.append(10)
                        dmg1.size.append(20)
                        dmg1.color.append((255, 255, 255))
                        dmg1.x.append(enemy.x)
                        dmg1.y.append(enemy.y)
                    enemy.energy -= elements.air[2]
                    enemy.t3 = 0
                    target = random.choice((1, 2))
    for a in range(len(dmg.x)-1, -1, -1):
       rect = pygame.draw.rect(win, dmg.color[a], (dmg.x[a], dmg.y[a], dmg.size[a], dmg.size[a]))
       dmg.x[a] -= dmg.dire[a][0]
       dmg.y[a] -= dmg.dire[a][1]
       dmg.size[a] -= 0.1
       if rect.colliderect(enemy.rect):
           enemy.healt -= dmg.dmg[len(dmg.x) - 1]
           del dmg.dmg[a]
           del dmg.x[a]
           del dmg.y[a]
           del dmg.color[a]
           del dmg.size[a]
           del dmg.dire[a]
    if not menu:
        #-Gravyti
        if enemy.y < 555:
            enemy.yvel -= 0.5
        if enemy.y >= 555 and not enemy.jump:
            enemy.yvel = 0
        d = math.sqrt((player.x - enemy.x)**2 + (player.y - enemy.y)**2)
        if enemy.y >= 555:
            enemy.y = 555
        if enemy.jump and enemy.y == 555:
            if eelement == 'air':
                enemy.yvel = 20
            elif eelement == 'fire':
                enemy.yvel = 15
            elif eelement == 'water':
                enemy.yvel = 12
            elif eelement == 'earth':
                enemy.yvel = 10
            enemy.jump = False
        if enemy.healt > 30 and enemy.energy > 20:
            if random.randint(1, 100) == 1:
                enemy.jump = True
        else:
            enemy.jump = True
        enemy.y -= enemy.yvel
        #-Movment
        if enemy.dire == 0 and enemy.xvel > -10 and enemy.x >= 0:
            enemy.xvel -= 0.5
        elif enemy.dire == 1 and enemy.xvel < 10 and enemy.x <= 755:
            enemy.xvel += 0.5
        if enemy.xvel > 0:
            enemy.xvel -= 0.3
        if enemy.xvel < 0:
            enemy.xvel += 0.3
        if enemy.x > 755:
            enemy.x = 755
            if not enemy.jump:
                enemy.xvel = 0
        if enemy.x < 0:
            enemy.x = 0
            if not enemy.jump:
                enemy.xvel = 0
        if player.x > enemy.x:
            enemy.dire = 1
        else:
            enemy.dire = 0
        d = math.sqrt((player.x - enemy.x)**2 + (player.y - enemy.y)**2)
        if d < 200:
            if player.x > enemy.x:
                enemy.xvel -= 0.5
            if player.x < enemy.x:
                enemy.xvel += 0.5
        enemy.x += enemy.xvel
    #Dmg#
    if not menu:
        if mouse[0] and not pressed:
            pressed = True
            angle = math.atan2(player.y - my, player.x - mx)
            #-Fire
            if element == 'fire':
                if at == 0 and player.energy >= elements.fire[at]:
                    shoot.play()
                    for a in range(20):
                        angle = math.atan2(player.y - my, player.x - mx)
                        dmg.dire.append((math.cos(angle) * 4 + random.uniform(-1, 1), math.sin(angle) * 4+ random.uniform(-1, 1)))
                        dmg.dmg.append(1)
                        dmg.size.append(5)
                        dmg.color.append((255, 0, 0))
                        dmg.x.append(player.x)
                        dmg.y.append(player.y)
                    player.energy -= elements.fire[at]
                elif at == 1 and player.energy >= elements.fire[at]:
                    shoot.play()
                    angle = math.atan2(player.y - my, player.x - mx)
                    dmg.dire.append((math.cos(angle) * 10, math.sin(angle) * 10))
                    dmg.dmg.append(10)
                    dmg.size.append(20)
                    dmg.color.append((255, 0, 0))
                    dmg.x.append(player.x)
                    dmg.y.append(player.y)
                    player.energy -= elements.fire[at]
                elif at == 2 and player.energy >= elements.fire[at]:
                    shoot.play()
                    for a in range(36):
                        angle = math.radians(a * 10)
                        dmg.dire.append((math.cos(angle) * 5, math.sin(angle) * 5))
                        dmg.dmg.append(10)
                        dmg.size.append(20)
                        dmg.color.append((255, 0, 0))
                        dmg.x.append(player.x)
                        dmg.y.append(player.y)
                    player.energy -= elements.fire[at]
            #-Earth
            elif element == 'earth':
                if at == 0 and player.energy >= elements.earth[at]:
                    shoot.play()
                    for a in range(20):
                        angle = math.atan2(player.y - my, player.x - mx)
                        dmg.dire.append((math.cos(angle) * 4 + random.uniform(-1, 1), math.sin(angle) * 4+ random.uniform(-1, 1)))
                        dmg.dmg.append(1)
                        dmg.size.append(5)
                        dmg.color.append((139, 69, 19))
                        dmg.x.append(player.x)
                        dmg.y.append(player.y)
                    player.energy -= elements.earth[at]
                elif at == 1 and player.energy >= elements.earth[at]:
                    shoot.play()
                    angle = math.atan2(player.y - my, player.x - mx)
                    dmg.dire.append((math.cos(angle) * 10 + random.uniform(-1, 1), math.sin(angle) * 10 + random.uniform(-1, 1)))
                    dmg.dmg.append(6)
                    dmg.size.append(20)
                    dmg.color.append((139, 69, 19))
                    dmg.x.append(player.x)
                    dmg.y.append(player.y)
                    angle = math.atan2(player.y - my, player.x - mx) + 1
                    dmg.dire.append((math.cos(angle) * 10 + random.uniform(-1, 1), math.sin(angle) * 10 + random.uniform(-1, 1)))
                    dmg.dmg.append(6)
                    dmg.size.append(20)
                    dmg.color.append((139, 69, 19))
                    dmg.x.append(player.x)
                    dmg.y.append(player.y)
                    angle = math.atan2(player.y - my, player.x - mx) + 2
                    dmg.dire.append((math.cos(angle) * 10 + random.uniform(-1, 1), math.sin(angle) * 10 + random.uniform(-1, 1)))
                    dmg.dmg.append(6)
                    dmg.size.append(20)
                    dmg.color.append((139, 69, 19))
                    dmg.x.append(player.x)
                    dmg.y.append(player.y)
                    angle = math.atan2(player.y - my, player.x - mx) + 3
                    dmg.dire.append((math.cos(angle) * 10 + random.uniform(-1, 1), math.sin(angle) * 10 + random.uniform(-1, 1)))
                    dmg.dmg.append(6)
                    dmg.size.append(20)
                    dmg.color.append((139, 69, 19))
                    dmg.x.append(player.x)
                    dmg.y.append(player.y)
                    player.energy -= elements.earth[at]
                elif at == 2 and player.energy >= elements.earth[at]:
                    shoot.play()
                    for a in range(17):
                        dmg.dire.append((0, 10))
                        dmg.dmg.append(10)
                        dmg.size.append(50)
                        dmg.color.append((139, 69, 19))
                        dmg.x.append(a * 50 - 50)
                        dmg.y.append(600)
                    player.energy -= elements.earth[at]
            #-Water
            elif element == 'water':
                if at == 0 and player.energy >= elements.water[at]:
                    shoot.play()
                    for a in range(20):
                        angle = math.atan2(player.y - my, player.x - mx)
                        dmg.dire.append((math.cos(angle) * 4 + random.uniform(-1, 1), math.sin(angle) * 4+ random.uniform(-1, 1)))
                        dmg.dmg.append(1)
                        dmg.size.append(5)
                        dmg.color.append((0, 0, random.randint(200, 255)))
                        dmg.x.append(player.x)
                        dmg.y.append(player.y)
                    player.energy -= elements.water[at]
                elif at == 1 and player.energy >= elements.water[at]:
                    shoot.play()
                    for a in range(3):
                        angle = math.atan2(player.y - my, player.x - mx)
                        dmg.dire.append((math.cos(angle) * 10 + random.uniform(-1, 1), math.sin(angle) * 10 + random.uniform(-1, 1)))
                        dmg.dmg.append(6)
                        dmg.size.append(20)
                        dmg.color.append((0, 0, random.randint(200, 255)))
                        dmg.x.append(player.x)
                        dmg.y.append(player.y)
                    player.energy -= elements.water[at]
                elif at == 2 and player.energy >= elements.water[at]:
                    shoot.play()
                    for a in range(36):
                        angle = math.radians(a * 10)
                        dmg.dire.append((math.cos(angle) * 5, math.sin(angle) * 5))
                        dmg.dmg.append(10)
                        dmg.size.append(20)
                        dmg.color.append((0, 0, random.randint(200, 255)))
                        dmg.x.append(player.x)
                        dmg.y.append(player.y)
                    player.energy -= elements.water[at]
            #-Air
            if element == 'air':
                if at == 0 and player.energy >= elements.air[at]: 
                    shoot.play()
                    for a in range(20):
                        angle = math.atan2(player.y - my, player.x - mx)
                        dmg.dire.append((math.cos(angle) * 4 + random.uniform(-1, 1), math.sin(angle) * 4+ random.uniform(-1, 1)))
                        dmg.dmg.append(1)
                        dmg.size.append(5)
                        dmg.color.append((255, 255, 255))
                        dmg.x.append(player.x)
                        dmg.y.append(player.y)
                    player.energy -= elements.air[at]
                elif at == 1 and player.energy >= elements.air[at]:
                    shoot.play()
                    angle = math.atan2(player.y - my, player.x - mx)
                    dmg.dire.append((math.cos(angle) * 10, math.sin(angle) * 10))
                    dmg.dmg.append(10)
                    dmg.size.append(20)
                    dmg.color.append((255, 255, 255))
                    dmg.x.append(player.x)
                    dmg.y.append(player.y)
                    player.energy -= elements.air[at]
                elif at == 2 and player.energy >= elements.air[at]:
                    shoot.play()
                    for a in range(36):
                        angle = math.radians(a * 10)
                        dmg.dire.append((math.cos(angle) * 5, math.sin(angle) * 5))
                        dmg.dmg.append(10)
                        dmg.size.append(20)
                        dmg.color.append((255, 255, 255))
                        dmg.x.append(player.x)
                        dmg.y.append(player.y)
                    player.energy -= elements.air[at]
        if not menu:
            for a in range(len(dmg.x)-1, -1, -1):
                rect = pygame.draw.rect(win, dmg.color[a], (dmg.x[a], dmg.y[a], dmg.size[a], dmg.size[a]))
                dmg.x[a] -= dmg.dire[a][0]
                dmg.y[a] -= dmg.dire[a][1]
                dmg.size[a] -= 0.1
                if rect.colliderect(enemy.rect):
                    if element == 'air':
                        enemy.xvel = -dmg.dire[a][0] * 2
                        enemy.yvel = -dmg.dire[a][1] * 2
                    enemy.healt -= dmg.dmg[len(dmg.x) - 1]
                    del dmg.dmg[a]
                    del dmg.x[a]
                    del dmg.y[a]
                    del dmg.color[a]
                    del dmg.size[a]
                    del dmg.dire[a]
                elif dmg.size[a] < 0:
                    del dmg.dmg[a]
                    del dmg.x[a]
                    del dmg.y[a]
                    del dmg.color[a]
                    del dmg.size[a]
                    del dmg.dire[a]
            if not mouse[0] and pressed:
                pressed = False
    #Dmg1#
    if not menu:
        for a in range(len(dmg1.x)-1, -1, -1):
            rect = pygame.draw.rect(win, dmg1.color[a], (dmg1.x[a], dmg1.y[a], dmg1.size[a], dmg1.size[a]))
            dmg1.x[a] -= dmg1.dire[a][0]
            dmg1.y[a] -= dmg1.dire[a][1]
            dmg1.size[a] -= 0.1
            if eelement == 'air':
                player.xvel = -dmg1.dire[a][0] * 2
                player.yvel = -dmg1.dire[a][1] * 2
            if rect.colliderect(player.rect):
                player.healt -= dmg1.dmg[len(dmg1.x) - 1]
                del dmg1.dmg[a]
                del dmg1.x[a]
                del dmg1.y[a]
                del dmg1.color[a]
                del dmg1.size[a]
                del dmg1.dire[a]
            elif dmg1.size[a] < 0:
                del dmg1.dmg[a]
                del dmg1.x[a]
                del dmg1.y[a]
                del dmg1.color[a]
                del dmg1.size[a]
                del dmg1.dire[a]
    if not menu:
        #Bars#
        pygame.draw.rect(win, (255, 0, 0), (650 + (100 - player.healt * 2), 50, player.healt * 2, 40))
        pygame.draw.rect(win, (255, 0, 0), (50, 50, enemy.healt * 2, 40))
        pygame.draw.rect(win, (255, 255, 0), (650 + (100 - lenght * 1.5), 90, lenght * 1.5, 20))
        pygame.draw.rect(win, (255, 255, 0), (50, 90, enemy.energy * 1.5, 20))
        win.blit((bar), (550, 30))
        win.blit((pygame.transform.flip(bar, True, False)), (50, 30))
        #Elements#
        if element == 'fire':
            win.blit((firee), (320, 50))
        elif element == 'water':
            win.blit((icee), (320, 50))
        elif element == 'earth':
            win.blit((earthe), (320, 50))
        elif element == 'air':
            win.blit((aire), (320, 50))
        win.blit((es), (320 + at * 58, 50))
            
        player.energy = round(player.energy, 1)
        if lenght != player.energy:
            if lenght > player.energy:
                lenght -= 1
            elif lenght < player.energy:
                lenght += 1
        if player.energy < 100 and player.moving:
            player.energy += 0.1
        enemy.energy = round(enemy.energy, 1)
        if lenght2 != enemy.energy:
            if lenght2 > enemy.energy:
                lenght2 -= 1
            elif lenght2 < enemy.energy:
                lenght2 += 1
                
        if enemy.energy < 100:
            enemy.energy += 0.1
        
        if player.healt < 100:
            player.healt += 0.01
        if enemy.healt < 100:
            enemy.healt += 0.01
        
        if player.healt > 100:
            player.healt = 100
        if enemy.healt > 100:
            enemy.healt = 100
        
        if player.healt <= 0 or enemy.healt <= 0:
            if player.healt <= 0:
                wins[0] += 1
            if enemy.healt <= 0:
                wins[1] += 1
            ded()
    if menu:
        f = font.render(str(wins[1]), True, (0, 0, 0))
        f2 = font.render(str(wins[0]), True, (0, 0, 0))
        win.blit((f), (710, 505))
        win.blit((f2), (110, 505))
    #Update#
    pygame.display.update()